메인 콘텐츠로 건너뛰기
POST
/
media
Create media
curl --request POST \
  --url https://api.youka.io/api/v1/media \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputFileId": "<string>",
  "type": "video"
}
'
{
  "id": "<string>",
  "type": "video",
  "url": "<string>",
  "status": "processing",
  "error": "<string>",
  "width": 123,
  "height": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "previewUrl": "<string>"
}

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

헤더

Idempotency-Key
string

본문

application/json
inputFileId
string
필수
type
enum<string>
필수
사용 가능한 옵션:
video,
image,
logo,
intro-video,
outro-video

응답

200 - application/json

Media created

id
string
필수
type
enum<string>
필수
사용 가능한 옵션:
video,
image,
logo,
intro-video,
outro-video
url
string<uri>
필수
status
enum<string>
필수
사용 가능한 옵션:
processing,
ready,
failed
error
string | null
필수
width
number
필수
height
number
필수
createdAt
string
필수
updatedAt
string
필수
previewUrl
string<uri> | null